boost::geometry::strategy::transform::copy_direct< P > Struct Template Reference
transform: apply transformations on geometries

Transformation strategy to copy one point to another using assignment operator. More...

List of all members.

## Public Member Functions

bool | apply (P const &p1, P &p2) const

## Detailed Description

### template<typename P>
struct boost::geometry::strategy::transform::copy_direct< P >

Transformation strategy to copy one point to another using assignment operator.

Template Parameters:

  P | point type

## Member Function Documentation

template<typename P >

bool boost::geometry::strategy::transform::copy_direct< P >::apply | ( | P const & | p1,
|  | P & | p2
| ) |  | const

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK